Subject: Re: Is there a "--follow" equvalent argument to git-rev-list?

From: Junio C Hamano <[email-masked]>
Date: Mon, 28 Nov 2011 11:53:46 -0800

[administrivia: do not use Mail-Followup-To here]

Steinar Bang <[email-masked]> writes:

> Is there an argument to "git rev-list" that will make it track across
> renames?

There isn't, and it is more or less deliberate.

The "log --follow" is not meant as anything more than a checkbox hack. The
intended audience of "rev-list" is scripts that reads plumbing output and
it is expected to be capable of doing all of what "follow" does and more.
It can notice that the path you were following has disappeared at a
particular commit, see what other paths (notice the plural, which is not
what --follow does) in the older tree may have contributed the contents of
the newly added path by running "diff-tree -M" (or -C), etc. That way the
scripts can even notice a case where a file you were following originally
were two separate files that the commit merged into one, which "follow"
would never do.